Retrieve Load Success Log Results
Retrieve success logs of loader results.
GET
/api/{version}/services/loader/{job_id}/tasks/{task_id}/successlogHeaders
Section link for HeadersThe Accept header only changes the format of the response in the case of an error. This does not change the file format of the download.
| Name | Description |
|---|---|
Accept | application/json |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
job_id | The id value of the requested load job. |
task_id | The id value of the requested load task. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
- H "Content-Type: application/json" \
https://myveevavault.com/api/v26.1/services/loader/61907/tasks/1/successlogResponse
Section link for ResponseresponseStatus,id,name__v,external_id__v,errors,rowId,event,id_param__value
SUCCESS,00P000000000807,,,,1,created__sys,
SUCCESS,00P000000000808,,,,2,created__sys,
SUCCESS,00P000000000809,,,,3,updated__sys,00P000000000809Response Details
Section link for Response DetailsOn SUCCESS, the response includes a CSV file with the success log of loader results.
The response may include the following additional information:
| Metadata Field | Description |
|---|---|
event | Whether the record was created (created__sys) or updated (updated__sys). Only included for upsert actions. |
id_param_value | The value of the field specified by the idparam body parameter if provided when loading data objects. For example, if idparam=external_id__v, the id_param_value returned is the same as the record's external ID. |